# List end user conversations

Lists conversations requested by an end user. <br/> Note: Custom attributes are not part of the response at this point. If you need to get custom attributes for a conversation use the [GET /conversations/{conversationId}](../Conversations/#tag/Conversations/operation/getConversationsConversationid) endpoint

Endpoint: GET /v1/endusers/{userId}/conversations
Version: v1
Security: ApiKeyAuth

## Path parameters:

  - `userId` (string, required)

## Query parameters:

  - `pageLimit` (integer)
    Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

  - `pageKey` (string)
    Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (integer, required)

  - `data.requesterId` (string, required)

  - `data.channel` (string, required)
    values: [WhatsApp, Voicemail, WidgetChat, FacebookMessenger, Twitter, Email, ContactForm, Callback, PstnPhone, Sms, Messenger]

  - `data.createdAt` (string, required)

  - `data.direction` (string)
    values: [Inbound, Internal, Outbound]

  - `data.state` (string)
    values: [AwaitingPending, Closed, Open, Pending]

  - `data.stateUpdatedAt` (string)

  - `data.anonymizedAt` (string, required)

  - `data.link` (any)

  - `data.link.parentId` (integer, required)

  - `data.customAttributes` (array)

  - `data.customAttributes.id` (string, required)

  - `data.customAttributes.name` (string, required)

  - `data.customAttributes.identifier` (string, required)

  - `data.customAttributes.value` (any, required)
    AttributeValue values: String[] if the type of the custom attribute is Select or String if the type of the custom attribute is Text

  - `data.transportExpiresAt` (string)

  - `data.assignment` (object)

  - `data.assignment.agentId` (string, required)

  - `data.assignment.assignedAt` (string, required)

  - `data.queue` (object)

  - `data.queue.id` (string, required)

  - `data.queue.queuedAt` (string)

  - `data.browserInfo` (object)

  - `data.browserInfo.name` (string, required)

  - `data.browserInfo.version` (string)

  - `data.browserInfo.ipAddress` (string)

  - `data.browserInfo.originatingUrl` (string)

  - `data.language` (string)

  - `data.fromEmail` (string, required)

  - `data.toEmail` (string)

  - `data.integrationEmail` (string)

  - `data.subject` (string)

  - `data.fromContactPointId` (string)

  - `data.toContactPointId` (string)

  - `data.fromNumber` (string)

  - `data.toNumber` (string)

  - `data.conversationType` (string, required)
    values: [DirectMessage, Tweet]

  - `data.contactPointTwitterId` (string)

  - `data.endUserTwitterId` (string)

  - `meta` (object)

  - `meta.previous` (string)
    url

  - `meta.next` (string)
    url

## Response 400 fields (application/json):

  - `message` (string, required)

## Response 404 fields (application/json):

  - `message` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)

